CREATE DATABASE IF NOT EXISTS ducat;

USE ducat;

----- CREATE TABLE. -----
CREATE TABLE employee (
	eid INT(50) NOT NULL AUTO_INCREMENT, 
	ename VARCHAR(200) DEFAULT NULL, 
	edesig VARCHAR(200) DEFAULT NULL,
	edept VARCHAR(100) DEFAULT NULL,
	esal INT(100) DEFAULT NULL,
	PRIMARY KEY (eid)
);

----- STORED PROCEDURE QUERY TO INSERT THE RECORDS IN THE DATABASE. -----
DELIMITER $$
CREATE PROCEDURE addEmployee (IN name VARCHAR(50), IN designation VARCHAR(100), IN department VARCHAR(100), IN salary INT)
	BEGIN
		INSERT INTO employee(ename, edesig, edept, esal) VALUES(name, designation, department, salary);
	END $$
DELIMITER ;